com.verisign.epp.interfaces

## Class EPPApplication

- java.lang.Object
- - com.verisign.epp.interfaces.EPPApplication

- Direct Known Subclasses:
    EPPApplicationSingle

      public class EPPApplication
      extends java.lang.Object

  This class represents a logical application. it should be instantiated once in the application life cycle. Its primary function is to initialize all the utilities and connection pool associated with interfaces. At the termination of the program, this entity will offer resources to close all established the connections gracefully, and it performs all cleanup tasks associated with utility functions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPApplication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endApplication()` Intstance method responsible for Cleanup and termination of the EPPApplication.
    `void` | `initialize(java.lang.String myConfigFile)` Initializing `EPPApplication` using the passed in configuration file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPApplication

          public EPPApplication()

  - ### Method Detail

    - #### initialize

          public void initialize(java.lang.String myConfigFile)
                          throws EPPCommandException

      Initializing `EPPApplication` using the passed in configuration file.
      Parameters:
        `myConfigFile` - Configuration file name to initialize `EPPApplication` with.
      Throws:
        `EPPCommandException`

    - #### endApplication

          public void endApplication()
                              throws EPPCommandException

      Intstance method responsible for Cleanup and termination of the EPPApplication.
      Throws:
        `EPPCommandException`

Copyright © VeriSign Inc. All Rights Reserved.